Upgrading 1.8.9 to 1.8.10 - stuck at Update

I have custom installation followed all steps as mentioned in https://xibo.org.uk/manual/en/upgrade_custom.html
Last time I was able to upgrade it subsequently from 1.8.5 to 1.8.8 then to 1.8.9

Deleted existing cms directory and replaced with new release archive then added backed up library, settings.php etc.

But I am stuck at http://xibo.local/update
Start Button is not clickable

After looking at everywhere in logs, I found browser console with JS errors:

update:13 GET http://xibo.local/theme/default/libraries/bootstrap-select/css/bootstrap-select.css?1.8.9 404 (Not Found)
update:14 GET http://xibo.local/theme/default/libraries/bootstrap-select-ajax/css/ajax-bootstrap-select.css?1.8.9 404 (Not Found)
update:36 Resource interpreted as Stylesheet but transferred with MIME type text/html: "http://xibo.local/update".
jquery-1.11.1.min.js?1.8.9:4 Slow network is detected. See https://www.chromestatus.com/feature/5636954674692096 for more details. Fallback font will be used while loading: http://xibo.local/theme/default/libraries/font-awesome/fonts/fontawesome-webfont.woff2?v=4.6.3
[Violation] Forced reflow while executing JavaScript took 90ms
update:296 GET http://xibo.local/theme/default/libraries/bootstrap-select-ajax/js/ajax-bootstrap-select.min.js?1.8.9 404 (Not Found)
update:295 GET http://xibo.local/theme/default/libraries/bootstrap-select/js/bootstrap-select.min.js?1.8.9 404 (Not Found)
update:296 GET http://xibo.local/theme/default/libraries/bootstrap-select-ajax/js/ajax-bootstrap-select.min.js?1.8.9 404 (Not Found)
update:339 GET http://xibo.local/theme/default/libraries/calendar/js/language/en_GB.js?1.8.9 404 (Not Found)

xibo-cms.js?1.8.9:365 Uncaught TypeError: $(...).select2 is not a function
    at XiboInitialise (xibo-cms.js?1.8.9:365)
    at HTMLDocument.<anonymous> (xibo-cms.js?1.8.9:64)
    at j (jquery-1.11.1.min.js?1.8.9:2)
    at Object.fireWith [as resolveWith] (jquery-1.11.1.min.js?1.8.9:2)
    at Function.ready (jquery-1.11.1.min.js?1.8.9:2)
    at HTMLDocument.J (jquery-1.11.1.min.js?1.8.9:2)
XiboInitialise @ xibo-cms.js?1.8.9:365
(anonymous) @ xibo-cms.js?1.8.9:64
j @ jquery-1.11.1.min.js?1.8.9:2
fireWith @ jquery-1.11.1.min.js?1.8.9:2
ready @ jquery-1.11.1.min.js?1.8.9:2
J @ jquery-1.11.1.min.js?1.8.9:2

Oh, turned out I moved base.twig in custom directory which was causing this issue. removed it and upgraded successfully.

Thanks

1 Like